Class | Tk::Itcl::ItclObject
In: | tk/lib/tkextlib/itcl/incr_tcl.rb
Parent: | TkObject

### Methods

call_method call_proc info_class info_function info_heritage info_inherit info_variable isa itcl_kind_of? new

### Constants

ITCL_CLASSNAME | = | ''.freeze
ITCL_OBJ_ID | = | ['itclobj'.freeze, '00000'.taint].freeze
ITCL_OBJ_TBL | = | {}.taint

### Public Class methods

call_proc(name, *args)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 55
          def self.call_proc(name, *args)
            tk_call("#{ITCL_CLASSNAME}::#{cmd}", *args)
          end

new(*args)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 46
          def initialize(*args)
            if (@klass = self.class::ITCL_CLASSNAME).empty?
              fail RuntimeError, 'unknown itcl class (abstract class?)'
            end
            @id = Tk::Itcl::ItclObject::TCL_OBJ_ID.join(TkCore::INTERP._ip_id_)
            @path = @id
            Tk::Itcl::ItclObject::ITCL_OBJ_ID[1].succ!
          end

### Public Instance methods

call_method(name, *args)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 59
          def call_method(name, *args)
            tk_call(@path, name, *args)
          end

info_class()

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 68
          def info_class
            tk_call(@path, 'info', 'class')
          end

info_function(*args)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 80
          def info_function(*args)
            if args[-1].kind_of?(Array)
              params = args.pop
              params.each{|param|
                param = param.to_s
                args << ( (param[0] == ?-)? param: "-#{param}" )
              }
            end
            list(tk_call(@path, 'info', 'function', *args))
          end

info_heritage()

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 76
          def info_heritage
            list(tk_call(@path, 'info', 'heritage'))
          end

info_inherit()

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 72
          def info_inherit
            simplelist(tk_call(@path, 'info', 'inherit'))
          end

info_variable(*args)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 91
          def info_variable(*args)
            if args[-1].kind_of?(Array)
              params = args.pop
              params.each{|param|
                param = param.to_s
                args << ( (param[0] == ?-)? param: "-#{param}" )
              }
            end
            list(tk_call(@path, 'info', 'variable', *args))
          end

isa(klass)

[Source]

    # File tk/lib/tkextlib/itcl/incr_tcl.rb, line 63
          def isa(klass)
            bool(tk_call(@path, 'isa', klass))
          end

itcl_kind_of?(klass)

Alias for isa

[Validate]